Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class MissingValues

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.MissingValues

Direct Known Subclasses:
  AssignAverageValue, AssignDefault, AssignMedianValue, AssignModalValue, AssignStochasticValue, MissingValuesWithRegressionSVM

    public abstract class MissingValues

extends FeatureConstruction

The abstract superclass of all operators that replace a missing value with a new value. It implements the abstract method generateColumnForOp() inherited from FeatureConstruction. All its subclasses only have to implement the abstract generateValueForOp() method specified here.

Version:
  $Id: MissingValues.java,v 1.5 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler, Martin Scholz

Constructor Summary
`MissingValues()`

Method Summary
`java.lang.String` | `generateSQL(Column theTargetAttributeColumn)` Method to update the Column structure for missing values. - Generate the common sql-string to replace only NULL-values - call the subclass-specific method to generate the value to be filled for NULL-values
`abstract java.lang.String` | `generateValueForOp(Column columnWithMissingValues)` The abstract method to be implemented by the subclasses.

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MissingValues

    public MissingValues()

Method Detail

### generateSQL

    public java.lang.String generateSQL(Column theTargetAttributeColumn)
                                 throws M4CompilerError

  Method to update the Column structure for missing values. - Generate the common sql-string to replace only NULL-values - call the subclass-specific method to generate the value to be filled for NULL-values

  Specified by:
    `generateSQL` in class `FeatureConstruction`
  Parameters:
    `theTargetAttributeColumn` - the Column object of the column with the missing values
  Returns:
    the sql definition of the new column for TheOutputAttribute
  Throws:
    `M4CompilerError` - A simple exception object with an error message.

### generateValueForOp

    public abstract java.lang.String generateValueForOp(Column columnWithMissingValues)
                                                 throws M4CompilerError

  The abstract method to be implemented by the subclasses.

  Parameters:
    `columnWithMissingValues` - The Column which has some missing values.
  Returns:
    A String with an SQL definition which is used to replace the missing values of the given column. It must include quotes if necessary.
  Throws:
    `M4CompilerError` - A simple exception object with an error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005